## org.apache.poi.ss.formula.functions
Class Fixed2ArgFunction

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed2ArgFunction

All Implemented Interfaces:
  Function, Function2Arg

Direct Known Subclasses:
  ConcatEval, Countif, IntersectionEval, NumericFunction.TwoArg, RangeEval, RelationalOperationEval, TwoOperandNumericOperation, XYNumericFunction

    public abstract class Fixed2ArgFunction

extends java.lang.Object
implements Function2Arg

Convenience base class for functions that must take exactly two arguments.

Author:
  Josh Micich

Constructor Summary
`Fixed2ArgFunction()`

Method Summary
`ValueEval` `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.formula.functions.Function2Arg
`evaluate`

Constructor Detail

### Fixed2ArgFunction

    public Fixed2ArgFunction()

Method Detail

### evaluate

    public final ValueEval evaluate(ValueEval[] args,
                                    int srcRowIndex,
                                    int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.